La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const customer = await lapyme.customers.create({
idempotencyKey: crypto.randomUUID(),
body: {
name: "Acme S.A.",
taxId: "30711222333",
email: "compras@acme.com.ar",
},
});
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"default_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"company_name": "<string>",
"description": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"tax_id": "<string>",
"arca_destination_country": 500,
"foreign_tax_id": "<string>",
"arca_country_tax_id": "<string>",
"metafields": [
{
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
],
"country": "<string>",
"province": "<string>",
"city": "<string>",
"address": "<string>",
"apartment": "<string>",
"postal_code": "<string>",
"delivery_carrier": "<string>",
"delivery_address": "<string>",
"assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_discount_percentage": 50,
"default_price_list_is_base": true,
"payment_term_days": 182,
"is_active": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/customers"
payload = {
"name": "<string>",
"default_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"company_name": "<string>",
"description": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"tax_id": "<string>",
"arca_destination_country": 500,
"foreign_tax_id": "<string>",
"arca_country_tax_id": "<string>",
"metafields": [
{
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
],
"country": "<string>",
"province": "<string>",
"city": "<string>",
"address": "<string>",
"apartment": "<string>",
"postal_code": "<string>",
"delivery_carrier": "<string>",
"delivery_address": "<string>",
"assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_discount_percentage": 50,
"default_price_list_is_base": True,
"payment_term_days": 182,
"is_active": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
default_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
code: '<string>',
company_name: '<string>',
description: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
tax_id: '<string>',
arca_destination_country: 500,
foreign_tax_id: '<string>',
arca_country_tax_id: '<string>',
metafields: [{definition_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', value: '<string>'}],
country: '<string>',
province: '<string>',
city: '<string>',
address: '<string>',
apartment: '<string>',
postal_code: '<string>',
delivery_carrier: '<string>',
delivery_address: '<string>',
assigned_salesperson_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_price_list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_discount_percentage: 50,
default_price_list_is_base: true,
payment_term_days: 182,
is_active: true
})
};
fetch('https://api.lapyme.com.ar/api/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'default_account_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'code' => '<string>',
'company_name' => '<string>',
'description' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>',
'tax_id' => '<string>',
'arca_destination_country' => 500,
'foreign_tax_id' => '<string>',
'arca_country_tax_id' => '<string>',
'metafields' => [
[
'definition_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'value' => '<string>'
]
],
'country' => '<string>',
'province' => '<string>',
'city' => '<string>',
'address' => '<string>',
'apartment' => '<string>',
'postal_code' => '<string>',
'delivery_carrier' => '<string>',
'delivery_address' => '<string>',
'assigned_salesperson_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'default_price_list_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'default_discount_percentage' => 50,
'default_price_list_is_base' => true,
'payment_term_days' => 182,
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/customers"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"default_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"code\": \"<string>\",\n \"company_name\": \"<string>\",\n \"description\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"arca_destination_country\": 500,\n \"foreign_tax_id\": \"<string>\",\n \"arca_country_tax_id\": \"<string>\",\n \"metafields\": [\n {\n \"definition_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ],\n \"country\": \"<string>\",\n \"province\": \"<string>\",\n \"city\": \"<string>\",\n \"address\": \"<string>\",\n \"apartment\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"delivery_carrier\": \"<string>\",\n \"delivery_address\": \"<string>\",\n \"assigned_salesperson_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_discount_percentage\": 50,\n \"default_price_list_is_base\": true,\n \"payment_term_days\": 182,\n \"is_active\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/customers")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"default_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"code\": \"<string>\",\n \"company_name\": \"<string>\",\n \"description\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"arca_destination_country\": 500,\n \"foreign_tax_id\": \"<string>\",\n \"arca_country_tax_id\": \"<string>\",\n \"metafields\": [\n {\n \"definition_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ],\n \"country\": \"<string>\",\n \"province\": \"<string>\",\n \"city\": \"<string>\",\n \"address\": \"<string>\",\n \"apartment\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"delivery_carrier\": \"<string>\",\n \"delivery_address\": \"<string>\",\n \"assigned_salesperson_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_discount_percentage\": 50,\n \"default_price_list_is_base\": true,\n \"payment_term_days\": 182,\n \"is_active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"default_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"code\": \"<string>\",\n \"company_name\": \"<string>\",\n \"description\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"arca_destination_country\": 500,\n \"foreign_tax_id\": \"<string>\",\n \"arca_country_tax_id\": \"<string>\",\n \"metafields\": [\n {\n \"definition_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ],\n \"country\": \"<string>\",\n \"province\": \"<string>\",\n \"city\": \"<string>\",\n \"address\": \"<string>\",\n \"apartment\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"delivery_carrier\": \"<string>\",\n \"delivery_address\": \"<string>\",\n \"assigned_salesperson_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_discount_percentage\": 50,\n \"default_price_list_is_base\": true,\n \"payment_term_days\": 182,\n \"is_active\": true\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"customer": {
"object": "customer",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"name": "<string>",
"company_name": "<string>",
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"apartment": "<string>",
"city": "<string>",
"delivery_carrier": "<string>",
"delivery_address": "<string>",
"tax_id": "<string>",
"tax_id_type": "<string>",
"tax_category": "<string>",
"contact_type": "<string>",
"default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_discount_percentage": 50,
"default_price_list_is_base": true,
"payment_term_id": "<string>",
"payment_term_days": 182,
"province_id": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
{
"object": "tag",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "customer",
"name": "<string>",
"slug": "<string>",
"color": "slate",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"default_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metafields": [
{
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
],
"arca_destination_country": 500,
"foreign_tax_id": "<string>",
"arca_country_tax_id": "<string>",
"country": "<string>",
"postal_code": "<string>",
"assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_ganancias_regimen": "<string>",
"assigned_salesperson": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>"
},
"default_price_list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sales_overview": {
"pending_balance": 123,
"sales_count": 1,
"total_sales": 123,
"recent_sales": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voucher_type": "<string>",
"invoice_status": "<string>",
"invoice_date": "<string>",
"currency": "<string>",
"total": 123,
"formatted_invoice_number": "<string>",
"original_sale_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_customer_create_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for creating customers",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_create_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_create_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_create_1",
"error": {
"code": "NOT_FOUND",
"message": "Default price list not found",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_create_1",
"error": {
"code": "CONFLICT",
"message": "Ya existe un cliente con ese documento",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_customer_create_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not process the customer",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_auth_capacity_1",
"error": {
"type": "api_error",
"code": "INTERNAL_ERROR",
"message": "La verificación de credenciales está ocupada. Reintentá más tarde.",
"retryable": true,
"details": []
}
}Crear cliente
Crea un cliente para ventas, cuentas corrientes, etiquetas y reportes. Un DNI o CUIT que ya pertenece a otro cliente de la organización responde 409 CONFLICT.
POST
/
api
/
v1
/
customers
La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const customer = await lapyme.customers.create({
idempotencyKey: crypto.randomUUID(),
body: {
name: "Acme S.A.",
taxId: "30711222333",
email: "compras@acme.com.ar",
},
});
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"default_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"company_name": "<string>",
"description": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"tax_id": "<string>",
"arca_destination_country": 500,
"foreign_tax_id": "<string>",
"arca_country_tax_id": "<string>",
"metafields": [
{
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
],
"country": "<string>",
"province": "<string>",
"city": "<string>",
"address": "<string>",
"apartment": "<string>",
"postal_code": "<string>",
"delivery_carrier": "<string>",
"delivery_address": "<string>",
"assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_discount_percentage": 50,
"default_price_list_is_base": true,
"payment_term_days": 182,
"is_active": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/customers"
payload = {
"name": "<string>",
"default_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"company_name": "<string>",
"description": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"tax_id": "<string>",
"arca_destination_country": 500,
"foreign_tax_id": "<string>",
"arca_country_tax_id": "<string>",
"metafields": [
{
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
],
"country": "<string>",
"province": "<string>",
"city": "<string>",
"address": "<string>",
"apartment": "<string>",
"postal_code": "<string>",
"delivery_carrier": "<string>",
"delivery_address": "<string>",
"assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_discount_percentage": 50,
"default_price_list_is_base": True,
"payment_term_days": 182,
"is_active": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
default_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
code: '<string>',
company_name: '<string>',
description: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
tax_id: '<string>',
arca_destination_country: 500,
foreign_tax_id: '<string>',
arca_country_tax_id: '<string>',
metafields: [{definition_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', value: '<string>'}],
country: '<string>',
province: '<string>',
city: '<string>',
address: '<string>',
apartment: '<string>',
postal_code: '<string>',
delivery_carrier: '<string>',
delivery_address: '<string>',
assigned_salesperson_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_price_list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_discount_percentage: 50,
default_price_list_is_base: true,
payment_term_days: 182,
is_active: true
})
};
fetch('https://api.lapyme.com.ar/api/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'default_account_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'code' => '<string>',
'company_name' => '<string>',
'description' => '<string>',
'email' => 'jsmith@example.com',
'phone' => '<string>',
'tax_id' => '<string>',
'arca_destination_country' => 500,
'foreign_tax_id' => '<string>',
'arca_country_tax_id' => '<string>',
'metafields' => [
[
'definition_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'value' => '<string>'
]
],
'country' => '<string>',
'province' => '<string>',
'city' => '<string>',
'address' => '<string>',
'apartment' => '<string>',
'postal_code' => '<string>',
'delivery_carrier' => '<string>',
'delivery_address' => '<string>',
'assigned_salesperson_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'default_price_list_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'default_discount_percentage' => 50,
'default_price_list_is_base' => true,
'payment_term_days' => 182,
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/customers"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"default_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"code\": \"<string>\",\n \"company_name\": \"<string>\",\n \"description\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"arca_destination_country\": 500,\n \"foreign_tax_id\": \"<string>\",\n \"arca_country_tax_id\": \"<string>\",\n \"metafields\": [\n {\n \"definition_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ],\n \"country\": \"<string>\",\n \"province\": \"<string>\",\n \"city\": \"<string>\",\n \"address\": \"<string>\",\n \"apartment\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"delivery_carrier\": \"<string>\",\n \"delivery_address\": \"<string>\",\n \"assigned_salesperson_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_discount_percentage\": 50,\n \"default_price_list_is_base\": true,\n \"payment_term_days\": 182,\n \"is_active\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/customers")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"default_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"code\": \"<string>\",\n \"company_name\": \"<string>\",\n \"description\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"arca_destination_country\": 500,\n \"foreign_tax_id\": \"<string>\",\n \"arca_country_tax_id\": \"<string>\",\n \"metafields\": [\n {\n \"definition_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ],\n \"country\": \"<string>\",\n \"province\": \"<string>\",\n \"city\": \"<string>\",\n \"address\": \"<string>\",\n \"apartment\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"delivery_carrier\": \"<string>\",\n \"delivery_address\": \"<string>\",\n \"assigned_salesperson_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_discount_percentage\": 50,\n \"default_price_list_is_base\": true,\n \"payment_term_days\": 182,\n \"is_active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"default_account_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"code\": \"<string>\",\n \"company_name\": \"<string>\",\n \"description\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"tax_id\": \"<string>\",\n \"arca_destination_country\": 500,\n \"foreign_tax_id\": \"<string>\",\n \"arca_country_tax_id\": \"<string>\",\n \"metafields\": [\n {\n \"definition_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"value\": \"<string>\"\n }\n ],\n \"country\": \"<string>\",\n \"province\": \"<string>\",\n \"city\": \"<string>\",\n \"address\": \"<string>\",\n \"apartment\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"delivery_carrier\": \"<string>\",\n \"delivery_address\": \"<string>\",\n \"assigned_salesperson_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_discount_percentage\": 50,\n \"default_price_list_is_base\": true,\n \"payment_term_days\": 182,\n \"is_active\": true\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"customer": {
"object": "customer",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"name": "<string>",
"company_name": "<string>",
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"address": "<string>",
"apartment": "<string>",
"city": "<string>",
"delivery_carrier": "<string>",
"delivery_address": "<string>",
"tax_id": "<string>",
"tax_id_type": "<string>",
"tax_category": "<string>",
"contact_type": "<string>",
"default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_discount_percentage": 50,
"default_price_list_is_base": true,
"payment_term_id": "<string>",
"payment_term_days": 182,
"province_id": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
{
"object": "tag",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "customer",
"name": "<string>",
"slug": "<string>",
"color": "slate",
"description": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"default_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metafields": [
{
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>"
}
],
"arca_destination_country": 500,
"foreign_tax_id": "<string>",
"arca_country_tax_id": "<string>",
"country": "<string>",
"postal_code": "<string>",
"assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_ganancias_regimen": "<string>",
"assigned_salesperson": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>"
},
"default_price_list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"sales_overview": {
"pending_balance": 123,
"sales_count": 1,
"total_sales": 123,
"recent_sales": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voucher_type": "<string>",
"invoice_status": "<string>",
"invoice_date": "<string>",
"currency": "<string>",
"total": 123,
"formatted_invoice_number": "<string>",
"original_sale_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_customer_create_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for creating customers",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_create_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_create_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_create_1",
"error": {
"code": "NOT_FOUND",
"message": "Default price list not found",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_customer_create_1",
"error": {
"code": "CONFLICT",
"message": "Ya existe un cliente con ese documento",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_customer_create_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not process the customer",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_auth_capacity_1",
"error": {
"type": "api_error",
"code": "INTERNAL_ERROR",
"message": "La verificación de credenciales está ocupada. Reintentá más tarde.",
"retryable": true,
"details": []
}
}Authorizations
Headers
Body
application/json
foreign_customer requiere country, arca_destination_country y foreign_tax_id o arca_country_tax_id. Su identidad reemplaza tax_id, tax_id_type y province; en actualizaciones se conservan los campos omitidos, pero cambiar arca_destination_country requiere enviar también el nuevo country.
Available options:
registered_vat_taxpayer, final_consumer, monotributo_taxpayer, vat_exempt, vat_not_applicable, foreign_customer Porcentaje de 0 a 100 con hasta dos decimales; null elimina el valor. Cambiarlo requiere el permiso para administrar descuentos de clientes; reenviar el valor actual está permitido. No se aplica automáticamente a ventas, pedidos ni presupuestos.
Required range:
0 <= x <= 100Was this page helpful?

